<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCountriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: countries
         */
        Schema::create('countries', function ($table) {
            $table->increments('id');
            $table->char('sortname', 50)->nullable();
            $table->string('name', 250)->nullable();
            $table->integer('phonecode')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('countries');
    }
}
